import ti_plotlib as plt
from ti_system import *
from ce_quivr import *

x1=recall_list("1")
y1=recall_list("2")
dt=0.2

def trace(x,y):
  plt.cls()
  plt.auto_window(x,y)
  plt.scatter(x,y,"o")
  plt.labels(" x(en m)","",12,2)
  plt.title("Vecteurs vitesse")
  for i in range(0,6):
    vx = (x[i+1]-x[i]) / dt
    vy = (y[i+1]-y[i]) / dt
    quiver(x[i],y[i],vx,vy,0.1,"b","vector")
  plt.grid(1/5,1/5,"dot")
  plt.show_plot()
trace(x1,y1)